'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = initializeKernelSpecs;

var _electron = require('electron');

var _path = require('path');

const KERNEL_SPECS = {
  node_nteract: {
    name: 'node_nteract',
    spec: {
      argv: [process.execPath, (0, _path.join)(require.resolve('ijavascript'), '..', 'lib', 'kernel.js'), '{connection_file}', '--protocol=5.0', '--hide-undefined'],
      display_name: 'Node.js (nteract)',
      language: 'javascript',
      env: {
        ELECTRON_RUN_AS_NODE: '1'
      }
    }
  }
};

function initializeKernelSpecs(kernelSpecs) {
  Object.assign(KERNEL_SPECS, kernelSpecs);
  return KERNEL_SPECS;
}

_electron.ipcMain.on('kernel_specs_request', event => {
  event.sender.send('kernel_specs_reply', KERNEL_SPECS);
});